Index: /trunk/Assembly_Library/Inc/Emulate.inc
===================================================================
--- /trunk/Assembly_Library/Inc/Emulate.inc	(revision 292)
+++ /trunk/Assembly_Library/Inc/Emulate.inc	(revision 293)
@@ -1,6 +1,6 @@
 ; Project name	:	Emulation library
-; Description	:	Macros for emulating later x86 instruction with older
+; Description	:	Macros for emulating later x86 instructions with older
 ;					processors.
-;					Macros are used so optimized builds could be done
+;					Macros are used so optimized builds can be done
 ;					easily for different processors.
 ;
@@ -10,23 +10,30 @@
 %define EMULATE_INC
 
-; Defines for processor support. Unsupported instructions will be
-; emulated using macros.
-; If using 286, define USE_186 and USE_286
-; If using 386, define USE_186, USE_286 and USE_386
+; Defines for processor support (should be set in makefile).
+; Unsupported instructions will be emulated using macros.
 ; If AT class PC is used (instead of XT), define USE_AT
+
 ;%define USE_186				; Define to use 18x/V20/V30 instructions
 ;%define USE_286				; Define to use 286 instructions
 ;%define USE_386				; Define to use 386 instructions
 ;%define USE_AT					; Define for AT class machine
-; Above defines should be set on makefile!
-
-CPU 8086						; Allow 8088/8086 instructions only
-%ifdef USE_186
-CPU 186							; Allow instructions up to 188/186/V20/V30
+
+%ifdef USE_386
+	%define USE_286				; Define to use 286 instructions
+%endif
+%ifdef USE_286
+	%define USE_186				; Define to use 18x/V20/V30 instructions
+%endif
+
+%ifdef USE_386
+	CPU 386						; Allow instructions up to 386
 %elifdef USE_286
-CPU 286							; Allow instructions up to 286
-%elifdef USE_386
-CPU 386							; Allow instructions up to 386
-%endif
+	CPU 286						; Allow instructions up to 286
+%elifdef USE_186
+	CPU 186						; Allow instructions up to 188/186/V20/V30
+%else
+	CPU 8086					; Allow 8088/8086 instructions only
+%endif
+
 BITS 16							; Set 16 bit code generation
 
Index: /trunk/Assembly_Library/Src/File/FileIO.asm
===================================================================
--- /trunk/Assembly_Library/Src/File/FileIO.asm	(revision 292)
+++ /trunk/Assembly_Library/Src/File/FileIO.asm	(revision 293)
@@ -36,5 +36,5 @@
 ;	Returns:
 ;		AX:		DOS error code if CF set
-;		CF:		Clear if successfull
+;		CF:		Clear if successful
 ;				Set if error
 ;	Corrupts registers:
@@ -59,7 +59,7 @@
 ;		DS:SI:	Ptr to destination buffer
 ;	Returns:
-;		AX:		Number of bytes actually read if successfull (0 if at EOF before call)
+;		AX:		Number of bytes actually read if successful (0 if at EOF before call)
 ;				DOS error code if CF set
-;		CF:		Clear if successfull
+;		CF:		Clear if successful
 ;				Set if error
 ;	Corrupts registers:
@@ -83,5 +83,5 @@
 ;	Returns:
 ;		AX:		DOS error code if CF set
-;		CF:		Clear if successfull
+;		CF:		Clear if successful
 ;				Set if error
 ;	Corrupts registers:
@@ -106,7 +106,7 @@
 ;		DS:SI:	Ptr to source buffer
 ;	Returns:
-;		AX:		Number of bytes actually written if successfull (EOF check)
+;		AX:		Number of bytes actually written if successful (EOF check)
 ;				DOS error code if CF set
-;		CF:		Clear if successfull
+;		CF:		Clear if successful
 ;				Set if error
 ;	Corrupts registers:
@@ -131,5 +131,5 @@
 ;	Returns:
 ;		AX:		DOS error code if CF set
-;		CF:		Clear if successfull
+;		CF:		Clear if successful
 ;				Set if error
 ;	Corrupts registers:
@@ -200,5 +200,5 @@
 ;		DX:AX:	Signed file size (if CF cleared)
 ;		AX:		DOS error code (if CF set)
-;		CF:		Clear if successfull
+;		CF:		Clear if successful
 ;				Set if error
 ;	Corrupts registers:
@@ -257,5 +257,5 @@
 ;		DX:AX:	New file position in bytes from start of file (if CF cleared)
 ;		AX:		DOS error code (if CF set)
-;		CF:		Clear if successfull
+;		CF:		Clear if successful
 ;				Set if error
 ;	Corrupts registers:
Index: /trunk/Assembly_Library/Src/Menu/Dialog/DialogFile.asm
===================================================================
--- /trunk/Assembly_Library/Src/Menu/Dialog/DialogFile.asm	(revision 292)
+++ /trunk/Assembly_Library/Src/Menu/Dialog/DialogFile.asm	(revision 293)
@@ -173,5 +173,5 @@
 
 	lds		si, [bp+DIALOG.fpDialogIO]
-	eMOVZX	cx, BYTE [si+FILE_DIALOG_IO.bFileAttributes]
+	eMOVZX	cx, [si+FILE_DIALOG_IO.bFileAttributes]
 	lds		si, [si+FILE_DIALOG_IO.fpFileFilterString]
 	call	Directory_UpdateDTAForFirstMatchForDSSIwithAttributesInCX
@@ -518,5 +518,5 @@
 	xor		ax, ax
 	stosb						; Terminate with NULL
-	jmp		SHORT CloseFileDialogAfterSuccessfullSelection
+	jmp		SHORT CloseFileDialogAfterSuccessfulSelection
 
 ;--------------------------------------------------------------------
@@ -617,5 +617,5 @@
 	test	al, al		; User cancellation?
 	jnz		SHORT ReturnWithoutHandlingKeystroke
-	jmp		CloseFileDialogAfterSuccessfullSelection
+	jmp		CloseFileDialogAfterSuccessfulSelection
 
 ALIGN JUMP_ALIGN
@@ -646,8 +646,8 @@
 	test	al, FLG_FILEDIALOG_DIRECTORY
 	jz		SHORT ReturnWithoutHandlingKeystroke
-	; Fall to CloseFileDialogAfterSuccessfullSelection
-
-;--------------------------------------------------------------------
-; CloseFileDialogAfterSuccessfullSelection
+	; Fall to CloseFileDialogAfterSuccessfulSelection
+
+;--------------------------------------------------------------------
+; CloseFileDialogAfterSuccessfulSelection
 ;	Parameters:
 ;		SS:BP:	Ptr to DIALOG
@@ -658,5 +658,5 @@
 ;--------------------------------------------------------------------
 ALIGN JUMP_ALIGN
-CloseFileDialogAfterSuccessfullSelection:
+CloseFileDialogAfterSuccessfulSelection:
 	lds		di, [bp+DIALOG.fpDialogIO]
 	mov		BYTE [di+FILE_DIALOG_IO.bUserCancellation], FALSE
Index: /trunk/Assembly_Library/Src/Menu/Dialog/DialogWord.asm
===================================================================
--- /trunk/Assembly_Library/Src/Menu/Dialog/DialogWord.asm	(revision 292)
+++ /trunk/Assembly_Library/Src/Menu/Dialog/DialogWord.asm	(revision 293)
@@ -85,5 +85,5 @@
 GetWordFromUser:
 	lds		si, [bp+DIALOG.fpDialogIO]
-	eMOVZX	bx, BYTE [si+WORD_DIALOG_IO.bNumericBase]
+	eMOVZX	bx, [si+WORD_DIALOG_IO.bNumericBase]
 ALIGN JUMP_ALIGN
 .GetUserInputIntilValidOrCancelled:
Index: /trunk/Assembly_Library/Src/Menu/MenuBorders.asm
===================================================================
--- /trunk/Assembly_Library/Src/Menu/MenuBorders.asm	(revision 292)
+++ /trunk/Assembly_Library/Src/Menu/MenuBorders.asm	(revision 293)
@@ -118,5 +118,5 @@
 ALIGN JUMP_ALIGN
 MenuBorders_GetNumberOfMiddleCharactersToDX:
-	eMOVZX	dx, BYTE [bp+MENUINIT.bWidth]
+	eMOVZX	dx, [bp+MENUINIT.bWidth]
 	sub		dx, BYTE MENU_HORIZONTAL_BORDER_LINES
 	ret
@@ -136,5 +136,5 @@
 RefreshTitleBorders:
 	call	DrawTopBorderLine
-	eMOVZX	cx, BYTE [bp+MENUINIT.bTitleLines]
+	eMOVZX	cx, [bp+MENUINIT.bTitleLines]
 	jmp		SHORT DrawTextBorderLinesByCXtimes
 
@@ -152,5 +152,5 @@
 RefreshInformationBorders:
 	call	DrawSeparationBorderLine
-	eMOVZX	cx, BYTE [bp+MENUINIT.bInfoLines]
+	eMOVZX	cx, [bp+MENUINIT.bInfoLines]
 	jmp		SHORT DrawTextBorderLinesByCXtimes
 
Index: /trunk/Assembly_Library/Src/Menu/MenuCharOut.asm
===================================================================
--- /trunk/Assembly_Library/Src/Menu/MenuCharOut.asm	(revision 292)
+++ /trunk/Assembly_Library/Src/Menu/MenuCharOut.asm	(revision 293)
@@ -61,5 +61,5 @@
 	mov		al, CR
 	call	DisplayCharOut_BiosTeletypeOutput
-	eMOVZX	ax, BYTE [VIDEO_BDA.displayContext+DISPLAY_CONTEXT.wCharOutParam]
+	eMOVZX	ax, [VIDEO_BDA.displayContext+DISPLAY_CONTEXT.wCharOutParam]
 	add		di, ax
 ReturnSinceNoNeedToStartLineWithControlCharacter:
Index: /trunk/Assembly_Library/Src/Menu/MenuLocation.asm
===================================================================
--- /trunk/Assembly_Library/Src/Menu/MenuLocation.asm	(revision 292)
+++ /trunk/Assembly_Library/Src/Menu/MenuLocation.asm	(revision 293)
@@ -114,5 +114,5 @@
 ALIGN JUMP_ALIGN
 MenuLocation_GetMaxTextLineLengthToAX:
-	eMOVZX	ax, BYTE [bp+MENUINIT.bWidth]
+	eMOVZX	ax, [bp+MENUINIT.bWidth]
 	sub		ax, BYTE MENU_HORIZONTAL_BORDER_LINES + MENU_TEXT_COLUMN_OFFSET
 	ret
Index: /trunk/Assembly_Library/Src/Menu/MenuScrollbars.asm
===================================================================
--- /trunk/Assembly_Library/Src/Menu/MenuScrollbars.asm	(revision 292)
+++ /trunk/Assembly_Library/Src/Menu/MenuScrollbars.asm	(revision 293)
@@ -245,5 +245,5 @@
 ALIGN JUMP_ALIGN
 MenuScrollbars_GetMaxVisibleItemsOnPageToCX:
-	eMOVZX	cx, BYTE [bp+MENUINIT.bHeight]
+	eMOVZX	cx, [bp+MENUINIT.bHeight]
 	sub		cl, [bp+MENUINIT.bTitleLines]
 	sub		cl, [bp+MENUINIT.bInfoLines]
Index: /trunk/Assembly_Library/Src/Serial/SerialServer.asm
===================================================================
--- /trunk/Assembly_Library/Src/Serial/SerialServer.asm	(revision 292)
+++ /trunk/Assembly_Library/Src/Serial/SerialServer.asm	(revision 293)
@@ -3,10 +3,10 @@
 
 %include "SerialServer.inc"
-		
+
 ; Section containing code
 SECTION .text
 
 ;--------------------------------------------------------------------
-; SerialServer_SendReceive:		
+; SerialServer_SendReceive:
 ;	Parameters:
 ;       DX:		Packed I/O port and baud rate
@@ -20,6 +20,6 @@
 ;		AL, BX, CX, DX
 ;--------------------------------------------------------------------
-SerialServer_SendReceive:		
-		
+SerialServer_SendReceive:
+
 		push	si
 		push	di
@@ -37,5 +37,5 @@
 		mov		al,[bp+SerialServer_Command.bSectorCount]
 		mov		ah,[bp+SerialServer_Command.bCommand]
-		
+
 ;
 ; Command byte and sector count live at the top of the stack, pop/push are used to access
@@ -44,5 +44,7 @@
 		push	ax				; working copy on the top of the stack
 
+%ifndef EXCLUDE_FROM_XTIDE_UNIVERSAL_BIOS	; DF already cleared in Int13h.asm
 		cld
+%endif
 
 ;----------------------------------------------------------------------
@@ -121,5 +123,5 @@
 		jz		.zeroSectors
 %endif
-		
+
 ;
 ; Top of the read/write loop, one iteration per sector
@@ -278,8 +280,8 @@
 %endif
 		mov		ah, al			;  for success, AL will already be zero
-		
+
 		pop		bx				;  recover "ax" (command and count) from stack
 		pop		cx				;  recover saved sector count
-		mov		ch, 0
+		xor		ch, ch
 		sub		cl, bl			; subtract off the number of sectors that remained
 
@@ -366,10 +368,5 @@
 
 .writeTimeout1:
-%ifndef USE_186
-		mov		ax,.writeByte1Ready
-		push	ax				; return address for ret at end of SC_writeTimeout2
-%else
-		push	.writeByte1Ready
-%endif
+		ePUSH_T	ax, .writeByte1Ready	; return address for ret at end of SC_writeTimeout2
 ;;; fall-through
 
@@ -381,5 +378,5 @@
 ;               One entry point fills in AH with 20h for write
 ;		DX:		Port address (OK if already incremented to UART_lineStatus)
-;       BX:		
+;       BX:
 ;       Stack:	2 words on the stack below the command/count word
 ;	Returns:
@@ -430,5 +427,5 @@
 		pop		ax
 %endif
-		
+
 .WaitAndPoll:
 %ifndef SERIALSERVER_TIMER_LOCATION
@@ -441,5 +438,5 @@
 		pop		bx
 		pop		ax
-%endif		
+%endif
 		jc		SerialServer_OutputWithParameters_ErrorAndPop4Words
 		in		al,dx
Index: /trunk/Assembly_Library/Src/String/String.asm
===================================================================
--- /trunk/Assembly_Library/Src/String/String.asm	(revision 292)
+++ /trunk/Assembly_Library/Src/String/String.asm	(revision 293)
@@ -37,5 +37,5 @@
 ;		CX:		Number of characters processed
 ;		SI:		Updated
-;		CF:		Cleared if successfull
+;		CF:		Cleared if successful
 ;				Set if error during conversion
 ;	Corrupts registers:
Index: /trunk/Configurator/Inc/emulate.inc
===================================================================
--- /trunk/Configurator/Inc/emulate.inc	(revision 292)
+++ /trunk/Configurator/Inc/emulate.inc	(revision 293)
@@ -1,10 +1,6 @@
-; File name		:	emulate.inc
 ; Project name	:	Emulation library
-; Created date	:	21.10.2009
-; Last update	:	4.4.2010
-; Author		:	Tomi Tilli
-; Description	:	Macros for emulating later x86 instruction with older
+; Description	:	Macros for emulating later x86 instructions with older
 ;					processors.
-;					Macros are used so optimized builds could be done
+;					Macros are used so optimized builds can be done
 ;					easily for different processors.
 ;
@@ -14,23 +10,30 @@
 %define EMULATE_INC
 
-; Defines for processor support. Unsupported instructions will be
-; emulated using macros.
-; If using 286, define USE_186 and USE_286
-; If using 386, define USE_186, USE_286 and USE_386
+; Defines for processor support (should be set in makefile).
+; Unsupported instructions will be emulated using macros.
 ; If AT class PC is used (instead of XT), define USE_AT
+
 ;%define USE_186				; Define to use 18x/V20/V30 instructions
 ;%define USE_286				; Define to use 286 instructions
 ;%define USE_386				; Define to use 386 instructions
 ;%define USE_AT					; Define for AT class machine
-; Above defines should be set on makefile!
-
-CPU 8086						; Allow 8088/8086 instructions only
-%ifdef USE_186
-CPU 186							; Allow instructions up to 188/186/V20/V30
+
+%ifdef USE_386
+	%define USE_286				; Define to use 286 instructions
+%endif
+%ifdef USE_286
+	%define USE_186				; Define to use 18x/V20/V30 instructions
+%endif
+
+%ifdef USE_386
+	CPU 386						; Allow instructions up to 386
 %elifdef USE_286
-CPU 286							; Allow instructions up to 286
-%elifdef USE_386
-CPU 386							; Allow instructions up to 386
-%endif
+	CPU 286						; Allow instructions up to 286
+%elifdef USE_186
+	CPU 186						; Allow instructions up to 188/186/V20/V30
+%else
+	CPU 8086					; Allow 8088/8086 instructions only
+%endif
+
 BITS 16							; Set 16 bit code generation
 
Index: /trunk/Configurator/Src/EEPROM.asm
===================================================================
--- /trunk/Configurator/Src/EEPROM.asm	(revision 292)
+++ /trunk/Configurator/Src/EEPROM.asm	(revision 293)
@@ -1,7 +1,3 @@
-; File name		:	EEPROM.asm
 ; Project name	:	XTIDE Univeral BIOS Configurator
-; Created date	:	19.4.2010
-; Last update	:	2.5.2010
-; Author		:	Tomi Tilli
 ; Description	:	Functions for managing EEPROM contents.
 
@@ -25,5 +21,5 @@
 	call	EEPROM_FindXtideUniversalBiosROM
 	xor		si, si									; Load from beginning of ROM
-	eMOVZX	cx, BYTE [es:ROMVARS.bRomSize]
+	eMOVZX	cx, [es:ROMVARS.bRomSize]
 	eSHL_IM	cx, 9									; *= 512 for byte count
 	call	EEPROM_LoadBytesFromROM
Index: /trunk/Configurator/Src/Flash.asm
===================================================================
--- /trunk/Configurator/Src/Flash.asm	(revision 292)
+++ /trunk/Configurator/Src/Flash.asm	(revision 293)
@@ -1,7 +1,3 @@
-; File name		:	Flash.asm
 ; Project name	:	XTIDE Univeral BIOS Configurator
-; Created date	:	30.4.2010
-; Last update	:	2.5.2010
-; Author		:	Tomi Tilli
 ; Description	:	Function for flashing the EEPROM.
 
@@ -46,5 +42,5 @@
 ; Verifies that all data has been written successfully.
 ;
-; Flash_WasDataWriteSuccessfull
+; Flash_WasDataWriteSuccessful
 ;	Parameters:
 ;		Nothing
@@ -56,5 +52,5 @@
 ;--------------------------------------------------------------------
 ALIGN JUMP_ALIGN
-Flash_WasDataWriteSuccessfull:
+Flash_WasDataWriteSuccessful:
 	push	ds
 	push	di
@@ -218,5 +214,5 @@
 ;		ES:BP:	Ptr to EEPROM last write location
 ;	Returns:
-;		CF:		Cleared if polling successfull
+;		CF:		Cleared if polling successful
 ;				Set if polling timeout
 ;	Corrupts registers:
Index: /trunk/Configurator/Src/Libraries/file.asm
===================================================================
--- /trunk/Configurator/Src/Libraries/file.asm	(revision 292)
+++ /trunk/Configurator/Src/Libraries/file.asm	(revision 293)
@@ -162,7 +162,7 @@
 ;		ES:DI:	Ptr to destination buffer
 ;	Returns:
-;		AX:		Number of bytes actually read if successfull (EOF check)
+;		AX:		Number of bytes actually read if successful (EOF check)
 ;				DOS error code if CF set
-;		CF:		Clear if successfull
+;		CF:		Clear if successful
 ;				Set if error
 ;	Corrupts registers:
@@ -194,7 +194,7 @@
 ;		ES:DI:	Ptr to source buffer
 ;	Returns:
-;		AX:		Number of bytes actually written if successfull (EOF check)
+;		AX:		Number of bytes actually written if successful (EOF check)
 ;				DOS error code if CF set
-;		CF:		Clear if successfull
+;		CF:		Clear if successful
 ;				Set if error
 ;	Corrupts registers:
@@ -224,5 +224,5 @@
 ;	Returns:
 ;		AX:		DOS error code if CF set
-;		CF:		Clear if successfull
+;		CF:		Clear if successful
 ;				Set if error
 ;	Corrupts registers:
@@ -373,5 +373,5 @@
 ;	Returns:
 ;		AX:		DOS Error code
-;		CF:		Clear if successfull
+;		CF:		Clear if successful
 ;				Set if error
 ;	Corrupts registers:
Index: /trunk/Configurator/Src/Libraries/menu/menudraw.asm
===================================================================
--- /trunk/Configurator/Src/Libraries/menu/menudraw.asm	(revision 292)
+++ /trunk/Configurator/Src/Libraries/menu/menudraw.asm	(revision 293)
@@ -61,5 +61,5 @@
 	push	cx
 	call	MenuCrsr_GetCursor				; Get current cursor to DX
-	eMOVZX	cx, BYTE [bp+MENUVARS.bWidth]	; Load menu width
+	eMOVZX	cx, [bp+MENUVARS.bWidth]		; Load menu width
 	add		cl, [bp+MENUVARS.bInitX]		; Add menu start X coord
 	sub		cl, W_OFF_CRSR_STR & 0FFh		; Subtract right borders
@@ -164,5 +164,5 @@
 	call	MenuCrsr_Point1stItem			; Set cursor position
 	mov		cx, [bp+MENUVARS.wItemTop]		; Load idx of first menuitem to draw
-	eMOVZX	dx, BYTE [bp+MENUVARS.bVisCnt]	; Load number of visible menuitems
+	eMOVZX	dx, [bp+MENUVARS.bVisCnt]		; Load number of visible menuitems
 	MIN_U	dx, [bp+MENUVARS.wItemCnt]		; Limit to item count
 	add		dx, cx							; One past last menuitem to draw
@@ -266,5 +266,5 @@
 	call	MenuDraw_TopBorder				; Draw top border
 	call	MenuDraw_NewlineBrdr			; Change line
-	eMOVZX	cx, BYTE [bp+MENUVARS.bTitleH]	; Load number of title strings
+	eMOVZX	cx, [bp+MENUVARS.bTitleH]		; Load number of title strings
 	jcxz	.Return							; Return if no title strings
 ALIGN JUMP_ALIGN
@@ -284,5 +284,5 @@
 	xor		dx, dx							; Zero DX
 	call	MenuCrsr_PointNfoBrdr			; Set cursor
-	eMOVZX	cx, BYTE [bp+MENUVARS.bInfoH]	; Load number of info strings
+	eMOVZX	cx, [bp+MENUVARS.bInfoH]		; Load number of info strings
 	test	BYTE [bp+MENUVARS.bFlags], FLG_MNU_HIDENFO	; Information hidden?
 	jnz		SHORT .JumpToBottomBorder
@@ -320,5 +320,5 @@
 	xor		dx, dx							; Zero DX
 	call	MenuCrsr_PointItemBrdr			; Set cursor
-	eMOVZX	cx, BYTE [bp+MENUVARS.bVisCnt]	; Load max number of item strings
+	eMOVZX	cx, [bp+MENUVARS.bVisCnt]		; Load max number of item strings
 ALIGN JUMP_ALIGN
 .LineLoop:
@@ -374,5 +374,5 @@
 	mov		dl, bh							; Leftmost
 	PRINT_CHAR
-	eMOVZX	cx, BYTE [bp+MENUVARS.bWidth]
+	eMOVZX	cx, [bp+MENUVARS.bWidth]
 	times 2 dec cx							; Subtract borders
 	mov		dl, bl							; Middle
@@ -438,5 +438,5 @@
 	mov		dh, B_V						; Assume no scroll bars needed
 	mov		ax, [bp+MENUVARS.wItemCnt]	; Load menuitem count to AX
-	eMOVZX	bx, BYTE [bp+MENUVARS.bVisCnt]	; Load visible menuitems to BX
+	eMOVZX	bx, [bp+MENUVARS.bVisCnt]	; Load visible menuitems to BX
 	cmp		ax, bx						; Need scroll bars?
 	jbe		.Return						;  If not, return
Index: /trunk/Configurator/Src/Libraries/menu/menufile.asm
===================================================================
--- /trunk/Configurator/Src/Libraries/menu/menufile.asm	(revision 292)
+++ /trunk/Configurator/Src/Libraries/menu/menufile.asm	(revision 293)
@@ -1,9 +1,4 @@
-; File name		:	menufile.asm
 ; Project name	:	Menu library
-; Created date	:	20.11.2009
-; Last update	:	6.1.2011
-; Author		:	Tomi Tilli,
-;				:	Krister Nordvall (Optimizations)
-; Description	:	ASM library to menu system.
+; Description	:	ASM library for menu system.
 ;					Contains functions for displaying file dialog.
 
@@ -276,6 +271,5 @@
 ALIGN JUMP_ALIGN
 .ChangeDone:
-	mov		dx, [bp+FDLGVARS.fpFileSrch]	; Load ptr to file search str
-	mov		ds, [bp+FDLGVARS.fpFileSrch+2]
+	lds		dx, [bp+FDLGVARS.fpFileSrch]	; Load ptr to file search str
 	call	MenuFile_GetItemCnt				; Get file count from new dir
 	pop		ds
@@ -314,5 +308,5 @@
 	mov		di, [bp+MSGVARS.wStrOff]		; Load string offset
 	mov		es, [bp+MSGVARS.wStrSeg]		; Load string segment
-	eMOVZX	cx, BYTE [bp+MENUVARS.bInfoH]	; Load info line count to CX
+	eMOVZX	cx, [bp+MENUVARS.bInfoH]		; Load info line count to CX
 	call	MenuDraw_MultilineStr			; Draw multiline str
 	pop		di
Index: /trunk/Configurator/Src/Libraries/menu/menuloop.asm
===================================================================
--- /trunk/Configurator/Src/Libraries/menu/menuloop.asm	(revision 292)
+++ /trunk/Configurator/Src/Libraries/menu/menuloop.asm	(revision 293)
@@ -1,8 +1,4 @@
-; File name		:	menuloop.asm
 ; Project name	:	Menu library
-; Created date	:	11.11.2009
-; Last update	:	25.5.2010
-; Author		:	Tomi Tilli
-; Description	:	ASM library to menu system.
+; Description	:	ASM library for menu system.
 ;					Contains event dispatching loop.
 
@@ -143,5 +139,5 @@
 
 	; Jump to process menu key
-	mov		di, CNT_MENU_KEYS-1	; Convert CX...	
+	mov		di, CNT_MENU_KEYS-1	; Convert CX...
 	sub		di, cx				; ...to lookup index
 	shl		di, 1				; Prepare for word lookup
@@ -186,5 +182,5 @@
 	jnz		.TextScrollUp					;  If so, go to text scrolling
 %endif
-	mov		ax, [bp+MENUVARS.wItemSel]		; Load selected index 
+	mov		ax, [bp+MENUVARS.wItemSel]		; Load selected index
 	test	ax, ax							; Already at top?
 	jz		.KeyEnd							;  If so, go to end
@@ -222,5 +218,5 @@
 	je		.KeyHome						;  If so, go to beginning
 	mov		[bp+MENUVARS.wItemSel], ax		; Store new menuitem index
-	eMOVZX	bx, BYTE [bp+MENUVARS.bVisCnt]	; Load number of visible items
+	eMOVZX	bx, [bp+MENUVARS.bVisCnt]		; Load number of visible items
 	add		bx, [bp+MENUVARS.wItemTop]		; BX to one past last visible index
 	cmp		ax, bx							; Need to scroll?
@@ -235,5 +231,5 @@
 ALIGN JUMP_ALIGN
 .TextScrollDown:
-	eMOVZX	ax, BYTE [bp+MENUVARS.bVisCnt]	; Load visible items
+	eMOVZX	ax, [bp+MENUVARS.bVisCnt]		; Load visible items
 	add		ax, [bp+MENUVARS.wItemTop]		; Add topmost menuitem index
 	cmp		ax, [bp+MENUVARS.wItemCnt]		; Already at the bottom?
@@ -261,5 +257,5 @@
 	sbb		bh, 0
 	mov		[bp+MENUVARS.wItemTop], bx		; Store first menuitem to draw
-	jnc		.ScrollMenu	
+	jnc		.ScrollMenu
 	mov		WORD [bp+MENUVARS.wItemTop], 0	; Overflow, start with 0
 	jmp		.ScrollMenu
@@ -284,5 +280,5 @@
 	inc		ax								; Increment page
 	mul		BYTE [bp+MENUVARS.bVisCnt]		; AX=First menuitem on page
-	eMOVZX	bx, BYTE [bp+MENUVARS.bVisCnt]	; Load number of visible items
+	eMOVZX	bx, [bp+MENUVARS.bVisCnt]		; Load number of visible items
 	add		bx, ax							; BX now one past last visible
 	cmp		bx, [bp+MENUVARS.wItemCnt]		; Went over last?
@@ -331,5 +327,5 @@
 	dw		.KeyEnd		; KEY_END
 ; Scan code to jump index translation table
-.rgbKeyToIdx:	
+.rgbKeyToIdx:
 	db	KEY_ENTER,	KEY_ESC,	KEY_UP,		KEY_DOWN,
 	db	KEY_PGUP,	KEY_PGDN,	KEY_HOME,	KEY_END
Index: /trunk/Configurator/Src/Libraries/menu/menumsg.asm
===================================================================
--- /trunk/Configurator/Src/Libraries/menu/menumsg.asm	(revision 292)
+++ /trunk/Configurator/Src/Libraries/menu/menumsg.asm	(revision 293)
@@ -212,5 +212,5 @@
 	call	MenuMsg_GetTokenForLine			; Get ptr to first token, length to AX
 	jnc		.EndOfString					; Return if no tokens
-	eMOVZX	dx, BYTE [bp+MENUVARS.bWidth]	; Menu width
+	eMOVZX	dx, [bp+MENUVARS.bWidth]		; Menu width
 	sub		dl, SIZE_MSG_HBRDR				; To line length
 	mov		bl, ' '							; Space character
Index: /trunk/Configurator/Src/Libraries/menu/menuprog.asm
===================================================================
--- /trunk/Configurator/Src/Libraries/menu/menuprog.asm	(revision 292)
+++ /trunk/Configurator/Src/Libraries/menu/menuprog.asm	(revision 293)
@@ -1,8 +1,4 @@
-; File name		:	menuprog.asm
 ; Project name	:	Menu library
-; Created date	:	23.11.2009
-; Last update	:	23.11.2009
-; Author		:	Tomi Tilli
-; Description	:	ASM library to menu system.
+; Description	:	ASM library for menu system.
 ;					Contains functions for displaying progress bar dialog.
 
@@ -110,5 +106,5 @@
 MenuProg_DrawBar:
 	; Calculate number of chars to draw
-	eMOVZX	cx, BYTE [bp+MENUVARS.bWidth]	; Dialog width to CX
+	eMOVZX	cx, [bp+MENUVARS.bWidth]		; Dialog width to CX
 	sub		cl, 4							; Sub borders, CX=bar width
 	mul		cl								; AX=bar with * percentage
@@ -117,5 +113,5 @@
 	sub		cl, al							; CX=Empty char cnt
 	mov		bl, al							; BX=full char cnt
-	
+
 	; Draw full chars
 	mov		dl, FULL_BLCK					; Load full block char
@@ -180,6 +176,5 @@
 	push	ds
 	push	si
-	mov		si, [bp+PDLGVARS.fpUser]	; Load offset to user ptr
-	mov		ds, [bp+PDLGVARS.fpUser+2]	; Load segment to user ptr
+	lds		si, [bp+PDLGVARS.fpUser]	; Load user defined ptr
 	xor		ax, ax						; Zero percent
 ALIGN JUMP_ALIGN
Index: /trunk/Configurator/Src/Libraries/menu/prntvram.asm
===================================================================
--- /trunk/Configurator/Src/Libraries/menu/prntvram.asm	(revision 292)
+++ /trunk/Configurator/Src/Libraries/menu/prntvram.asm	(revision 293)
@@ -1,8 +1,4 @@
-; File name		:	prntvram.asm
 ; Project name	:	Print library
-; Created date	:	7.12.2009
-; Last update	:	7.12.2009
-; Author		:	Tomi Tilli
-; Description	:	ASM library to for character and string
+; Description	:	ASM library for character and string
 ;					printing using direct access to VRAM.
 ;
@@ -27,5 +23,5 @@
 ;--------------------------------------------------------------------
 ; Return pointer to VRAM for current cursor position.
-; 
+;
 ; PrntVram_GetPtr
 ;	Parameters:
@@ -43,5 +39,5 @@
 
 	; Calculate offset to VRAM
-	eMOVZX	di, BYTE [es:BDA.bVidPageIdx]	; Load page index
+	eMOVZX	di, [es:BDA.bVidPageIdx]		; Load page index
 	shl		di, 1							; Shift for word lookup
 	mov		ax, [es:di+BDA.rgwVidCurPos]	; Load cursor position
@@ -70,5 +66,5 @@
 ; use this macro to print characters (so printing implementation
 ; can be easily modified when needed).
-; 
+;
 ; PRINT_CHAR
 ;	Parameters:
@@ -117,5 +113,5 @@
 	pop		es
 	je		.IncRow
-	
+
 	; Inc column only
 	push	dx
@@ -147,5 +143,5 @@
 ; use this macro to print strings (so printing implementation
 ; can be easily modified when needed).
-; 
+;
 ; PRINT_STR
 ;	Parameters:
@@ -167,5 +163,5 @@
 ; All string printing functions must use this macro to print strings
 ; (so printing implementation can be easily modified when needed).
-; 
+;
 ; PRINT_STR_LEN
 ;	Parameters:
@@ -194,10 +190,10 @@
 	cmp		al, 20h					; Printable character?
 	jb		.Bios					;  If not, use BIOS functions
-	
+
 	push	dx
 	mov		al, dl
 	PRINT_CHAR
 	pop		dx
-	
+
 	;stosb							; Store char to [ES:DI]
 	inc		dx						; Increment chars printed
Index: /trunk/Configurator/Src/MenuPage.asm
===================================================================
--- /trunk/Configurator/Src/MenuPage.asm	(revision 292)
+++ /trunk/Configurator/Src/MenuPage.asm	(revision 293)
@@ -1,7 +1,3 @@
-; File name		:	MenuPage.asm
-; Project name	:	XTIDE Univeral BIOS Configurator
-; Created date	:	15.4.2010
-; Last update	:	27.4.2010
-; Author		:	Tomi Tilli
+; Project name	:	XTIDE Universal BIOS Configurator
 ; Description	:	Functions to access MENUPAGE structs.
 
@@ -113,5 +109,5 @@
 	push	cx
 	push	bx
-	eMOVZX	cx, BYTE [si+MENUPAGE.bItemCnt]
+	eMOVZX	cx, [si+MENUPAGE.bItemCnt]
 	lea		bx, [si+MENUPAGE.rgMenuPageItem]
 ALIGN JUMP_ALIGN
Index: /trunk/Configurator/Src/MenuPageItem.asm
===================================================================
--- /trunk/Configurator/Src/MenuPageItem.asm	(revision 292)
+++ /trunk/Configurator/Src/MenuPageItem.asm	(revision 293)
@@ -1,3 +1,3 @@
-; Project name	:	XTIDE Univeral BIOS Configurator
+; Project name	:	XTIDE Universal BIOS Configurator
 ; Description	:	Functions to access MENUPAGEITEM structs.
 
@@ -21,5 +21,5 @@
 	push	cs
 	pop		es
-	eMOVZX	cx, BYTE [bp+MENUVARS.bInfoH]	; Info line count to CX
+	eMOVZX	cx, [bp+MENUVARS.bInfoH]		; Info line count to CX
 	call	MenuPageItem_PrintCommonInfoLines
 	mov		di, [di+MENUPAGEITEM.szInfo]	; ES:DI now points to info string
@@ -111,5 +111,5 @@
 ;		SS:BP:	Ptr to MENUVARS
 ;	Returns:
-;		CF:		Set if user data inputted succesfully
+;		CF:		Set if user data inputted successfully
 ;				Cleared if cancel
 ;	Corrupts registers:
@@ -147,5 +147,5 @@
 ;		SS:BP:	Ptr to MENUVARS
 ;	Returns:
-;		CF:		Set if user data inputted succesfully
+;		CF:		Set if user data inputted successfully
 ;				Cleared if cancel
 ;	Corrupts registers:
@@ -183,5 +183,5 @@
 ;		SS:BP:	Ptr to MENUVARS
 ;	Returns:
-;		CF:		Set if user data inputted succesfully
+;		CF:		Set if user data inputted successfully
 ;				Cleared if cancel
 ;	Corrupts registers:
@@ -216,5 +216,5 @@
 ;		SS:BP:	Ptr to MENUVARS
 ;	Returns:
-;		CF:		Set if user data inputted succesfully
+;		CF:		Set if user data inputted successfully
 ;				Cleared if cancel
 ;	Corrupts registers:
@@ -247,5 +247,5 @@
 ;		SS:BP:	Ptr to MENUVARS
 ;	Returns:
-;		CF:		Set since user data inputted succesfully
+;		CF:		Set since user data inputted successfully
 ;	Corrupts registers:
 ;		AX, BX, CX, DX
@@ -269,5 +269,5 @@
 ;	Returns:
 ;		AX:		16-bit unsigned word inputted by user
-;		CF:		Set if user data inputted succesfully
+;		CF:		Set if user data inputted successfully
 ;				Cleared if cancel
 ;	Corrupts registers:
@@ -297,5 +297,5 @@
 ;		SS:BP:	Ptr to MENUVARS
 ;	Returns:
-;		CF:		Set if user data inputted succesfully
+;		CF:		Set if user data inputted successfully
 ;				Cleared if cancel
 ;	Corrupts registers:
Index: /trunk/Configurator/Src/MenuPageItemFormat.asm
===================================================================
--- /trunk/Configurator/Src/MenuPageItemFormat.asm	(revision 292)
+++ /trunk/Configurator/Src/MenuPageItemFormat.asm	(revision 293)
@@ -1,8 +1,4 @@
-; File name		:	MenuPageItemFormat.asm
-; Project name	:	XTIDE Univeral BIOS Configurator
-; Created date	:	15.4.2010
-; Last update	:	30.4.2010
-; Author		:	Tomi Tilli
-; Description	:	Functions for formatting 
+; Project name	:	XTIDE Universal BIOS Configurator
+; Description	:	Functions for formatting
 ;					menuitem names from MENUPAGEITEM.
 
@@ -25,5 +21,5 @@
 	mov		si, [di+MENUPAGEITEM.rgszLookup]	; Load offset to string lookup table
 	mov		bx, [di+MENUPAGEITEM.pValue]		; Ptr to value containing lookup index
-	eMOVZX	bx, BYTE [bx]						; BX=lookup index (values are already shifted for WORD lookup)
+	eMOVZX	bx, [bx]							; BX=lookup index (values are already shifted for WORD lookup)
 	push	WORD [bx+si]						; Push offset to string to print
 	mov		dh, 4								; Total of 4 bytes for formatting params
@@ -46,5 +42,5 @@
 ALIGN JUMP_ALIGN
 MenuPageItemFormat_NameForAnyType:
-	eMOVZX	bx, BYTE [di+MENUPAGEITEM.bType]	; Load menuitem type
+	eMOVZX	bx, [di+MENUPAGEITEM.bType]			; Load menuitem type
 	jmp		[cs:bx+.rgfnPrintBasedOnType]
 ALIGN WORD_ALIGN
@@ -132,5 +128,5 @@
 MenuPageItemFormat_NameWithUnsignedByteValue:
 	mov		si, [di+MENUPAGEITEM.pValue]		; DS:SI points to value
-	eMOVZX	ax, BYTE [si]						; Load byte to AX
+	eMOVZX	ax, [si]							; Load byte to AX
 	push	ax									; Push byte
 	jmp		SHORT MenuPageItemFormat_NameWithUnsignedValuePushed
@@ -161,5 +157,5 @@
 MenuPageItemFormat_NameWithByteHexadecimalValue:
 	mov		si, [di+MENUPAGEITEM.pValue]		; DS:SI points to value
-	eMOVZX	ax, BYTE [si]						; Load byte to AX
+	eMOVZX	ax, [si]							; Load byte to AX
 	push	ax									; Push byte
 	jmp		SHORT MenuPageItemFormat_NameWithHexadecimalValuePushed
Index: /trunk/Configurator/Src/Menupages/ConfigurationMenu.asm
===================================================================
--- /trunk/Configurator/Src/Menupages/ConfigurationMenu.asm	(revision 292)
+++ /trunk/Configurator/Src/Menupages/ConfigurationMenu.asm	(revision 293)
@@ -1,7 +1,3 @@
-; File name		:	ConfigurationMenu.asm
-; Project name	:	XTIDE Univeral BIOS Configurator
-; Created date	:	21.4.2010
-; Last update	:	2.5.2010
-; Author		:	Tomi Tilli
+; Project name	:	XTIDE Universal BIOS Configurator
 ; Description	:	XTIDE Universal BIOS configuration menu.
 
@@ -226,5 +222,5 @@
 ;		SS:BP:	Ptr to MENUVARS
 ;	Returns:
-;		CF:		Set if user data inputted succesfully
+;		CF:		Set if user data inputted successfully
 ;				Cleared if cancel
 ;	Corrupts registers:
@@ -245,5 +241,5 @@
 ;		SS:BP:	Ptr to MENUVARS
 ;	Returns:
-;		CF:		Set if user data inputted succesfully
+;		CF:		Set if user data inputted successfully
 ;				Cleared if cancel
 ;	Corrupts registers:
@@ -358,5 +354,5 @@
 	call	ConfigurationMenu_GetNumberOfIdeControllers
 	dec		cx					; First always visible
-	jcxz	.Return
+	jz		.Return
 	mov		bx, g_MenuPageItemCfgIde2+MENUPAGEITEM.bFlags
 ALIGN JUMP_ALIGN
@@ -381,10 +377,9 @@
 ALIGN JUMP_ALIGN
 ConfigurationMenu_GetNumberOfIdeControllers:
+	mov		cx, 1				; Assume one controller for Lite mode
 	test	WORD [g_cfgVars+CFGVARS.rgbEepromBuffers+ROMVARS.wFlags], FLG_ROMVARS_FULLMODE
-	jz		SHORT .ReturnOneControllerForLiteMode
-	eMOVZX	cx, BYTE [g_cfgVars+CFGVARS.rgbEepromBuffers+ROMVARS.bIdeCnt]
-	ret
-ALIGN JUMP_ALIGN
-.ReturnOneControllerForLiteMode:
-	mov		cx, 1
-	ret
+	jz		SHORT .Return
+	mov		cl, [g_cfgVars+CFGVARS.rgbEepromBuffers+ROMVARS.bIdeCnt]
+ALIGN JUMP_ALIGN, ret
+.Return:
+	ret
Index: /trunk/Configurator/Src/Menupages/DrvParamsMenu.asm
===================================================================
--- /trunk/Configurator/Src/Menupages/DrvParamsMenu.asm	(revision 292)
+++ /trunk/Configurator/Src/Menupages/DrvParamsMenu.asm	(revision 293)
@@ -1,7 +1,3 @@
-; File name		:	DrvParamsMenu.asm
-; Project name	:	XTIDE Univeral BIOS Configurator
-; Created date	:	26.4.2010
-; Last update	:	27.4.2010
-; Author		:	Tomi Tilli
+; Project name	:	XTIDE Universal BIOS Configurator
 ; Description	:	Menu for configuring DRVPARAMS.
 
@@ -109,5 +105,5 @@
 ALIGN JUMP_ALIGN
 DrvParamsMenu_SetDrvParamsOffset:
-	eMOVZX	cx, BYTE [g_MenuPageDrvParams+MENUPAGE.bItemCnt]
+	eMOVZX	cx, [g_MenuPageDrvParams+MENUPAGE.bItemCnt]
 	dec		cx
 	mov		bx, g_MenuPageItemDrvBlockMode+MENUPAGEITEM.pValue
Index: /trunk/Configurator/Src/Menupages/FlashMenu.asm
===================================================================
--- /trunk/Configurator/Src/Menupages/FlashMenu.asm	(revision 292)
+++ /trunk/Configurator/Src/Menupages/FlashMenu.asm	(revision 293)
@@ -1,8 +1,8 @@
-; Project name	:	XTIDE Univeral BIOS Configurator
+; Project name	:	XTIDE Universal BIOS Configurator
 ; Description	:	Flash menu.
 
 
 ; Flash error codes returned from progress bar task function
-ERR_FLASH_SUCCESSFULL	EQU		0
+ERR_FLASH_SUCCESSFUL	EQU		0
 ERR_FLASH_POLL_TIMEOUT	EQU		1
 
@@ -132,5 +132,5 @@
 	call	MenuPageItem_GetByteFromUserWithoutMarkingUnsaved
 	jnc		SHORT .Cancel
-	eMOVZX	bx, BYTE [g_cfgVars+CFGVARS.bPageSize]
+	eMOVZX	bx, [g_cfgVars+CFGVARS.bPageSize]
 	eBSR	ax, bx					; AX = Index of highest order bit
 	mov		cx, 1
@@ -185,5 +185,5 @@
 	xor		dx, dx
 	mov		ax, [g_cfgVars+CFGVARS.wEepromSize]		; DX:AX = Bytes to write
-	eMOVZX	cx, BYTE [g_cfgVars+CFGVARS.bPageSize]
+	eMOVZX	cx, [g_cfgVars+CFGVARS.bPageSize]
 	div		cx										; AX = Total number of pages
 	mov		[g_cfgVars+CFGVARS.flashVars+FLASHVARS.wTotalPages], ax
@@ -255,5 +255,5 @@
 ALIGN JUMP_ALIGN
 .FlashComplete:
-	mov		ax, ERR_FLASH_SUCCESSFULL
+	mov		ax, ERR_FLASH_SUCCESSFUL
 	retf
 .Timeout:
@@ -278,5 +278,5 @@
 	mov		ax, [si+FLASHVARS.wTotalPages]
 	sub		ax, [si+FLASHVARS.wPagesLeft]			; AX=Pages written
-	eMOVZX	dx, BYTE [g_cfgVars+CFGVARS.bPageSize]
+	eMOVZX	dx, [g_cfgVars+CFGVARS.bPageSize]
 	mul		dx										; AX=Bytes written
 
@@ -311,6 +311,6 @@
 	mov		dx, [si+FLASHVARS.wPagesBeforeDraw]
 	call	FlashMenu_GetPointersToPageToFlash
-	eMOVZX	ax, BYTE [g_cfgVars+CFGVARS.bSdpCommand]
-	eMOVZX	cx, BYTE [g_cfgVars+CFGVARS.bPageSize]
+	eMOVZX	ax, [g_cfgVars+CFGVARS.bSdpCommand]
+	eMOVZX	cx, [g_cfgVars+CFGVARS.bPageSize]
 ALIGN JUMP_ALIGN
 .PageLoop:
@@ -405,5 +405,5 @@
 	cmp		ax, ERR_FLASH_POLL_TIMEOUT
 	je		SHORT FlashMenu_PollingTimeoutErrorDuringFlashing
-	call	Flash_WasDataWriteSuccessfull
+	call	Flash_WasDataWriteSuccessful
 	jne		SHORT FlashMenu_DataVerifyErrorAfterFlashing
 	; Fall to FlashMenu_EepromFlashedSuccessfully
Index: /trunk/Configurator/Src/Menupages/IdeControllerMenu.asm
===================================================================
--- /trunk/Configurator/Src/Menupages/IdeControllerMenu.asm	(revision 292)
+++ /trunk/Configurator/Src/Menupages/IdeControllerMenu.asm	(revision 293)
@@ -1,7 +1,3 @@
-; File name		:	IdeControllerMenu.asm
-; Project name	:	XTIDE Univeral BIOS Configurator
-; Created date	:	23.4.2010
-; Last update	:	27.4.2010
-; Author		:	Tomi Tilli
+; Project name	:	XTIDE Universal BIOS Configurator
 ; Description	:	Menu for configuring IDEVARS.
 
@@ -119,5 +115,5 @@
 
 ;--------------------------------------------------------------------
-; Stores IDEVARS specific pointers to IDE Controller Menu 
+; Stores IDEVARS specific pointers to IDE Controller Menu
 ; MENUPAGEITEM structs.
 ;
@@ -133,5 +129,5 @@
 ALIGN JUMP_ALIGN
 IdeControllerMenu_SetIdevarsOffset:
-	eMOVZX	cx, BYTE [g_MenuPageIdeVars+MENUPAGE.bItemCnt]
+	eMOVZX	cx, [g_MenuPageIdeVars+MENUPAGE.bItemCnt]
 	dec		cx
 	mov		bx, g_MenuPageItemIdeMaster+MENUPAGEITEM.pValue
Index: /trunk/Configurator/Src/Strings.asm
===================================================================
--- /trunk/Configurator/Src/Strings.asm	(revision 292)
+++ /trunk/Configurator/Src/Strings.asm	(revision 293)
@@ -1,7 +1,3 @@
-; File name		:	Strings.asm
-; Project name	:	XTIDE Univeral BIOS Configurator
-; Created date	:	16.4.2010
-; Last update	:	2.5.2010
-; Author		:	Tomi Tilli
+; Project name	:	XTIDE Universal BIOS Configurator
 ; Description	:	Strings used in this program.
 
@@ -22,6 +18,6 @@
 g_szFlashTimeout:		db	"Timeout error when polling EEPROM!",STOP
 g_szFlashVerifyErr:		db	"Data verification failed!",STOP
-g_szFlashDoneReboot:	db	"EEPROM written succesfully. Press any key to reboot.",STOP
-g_szFlashDoneContinue:	db	"EEPROM written succesfully.",STOP
+g_szFlashDoneReboot:	db	"EEPROM written successfully. Press any key to reboot.",STOP
+g_szFlashDoneContinue:	db	"EEPROM written successfully.",STOP
 
 
@@ -44,5 +40,5 @@
 g_szDlgMainLoadStngs:	db	"Successfully loaded settings from EEPROM.",STOP
 
-g_szNfoMainExitToDOS:	db	"Quits XTIDE Univeral BIOS Configurator.",STOP
+g_szNfoMainExitToDOS:	db	"Quits XTIDE Universal BIOS Configurator.",STOP
 g_szNfoMainLoadFile:	db	"Load BIOS file to be configured or flashed.",STOP
 g_szNfoMainLoadROM:		db	"Load BIOS from EEPROM to be reconfigured.",STOP
Index: /trunk/Serial_Server/win32/Win32Serial.h
===================================================================
--- /trunk/Serial_Server/win32/Win32Serial.h	(revision 292)
+++ /trunk/Serial_Server/win32/Win32Serial.h	(revision 293)
@@ -12,5 +12,5 @@
 #define PIPENAME "\\\\.\\pipe\\xtide"
 
-class SerialAccess 
+class SerialAccess
 {
 public:
@@ -22,5 +22,5 @@
 
 		pipe = NULL;
-	
+
 		if( !name )
 		{
@@ -38,9 +38,9 @@
 		{
 			log( 0, "Opening named pipe %s (simulating %s baud)", name, baudRate->display );
-		
+
 			pipe = CreateNamedPipeA( name, PIPE_ACCESS_DUPLEX, PIPE_TYPE_BYTE|PIPE_REJECT_REMOTE_CLIENTS, 2, 1024, 1024, 0, NULL );
 			if( pipe == INVALID_HANDLE_VALUE )
 				log( -1, "Could not CreateNamedPipe " PIPENAME );
-		
+
 			if( !ConnectNamedPipe( pipe, NULL ) )
 				log( -1, "Could not ConnectNamedPipe" );
@@ -60,9 +60,9 @@
 
 				log( 0, "Opening %s (%s baud)", name, baudRate->display );
-			
+
 				pipe = CreateFileA( name, GENERIC_READ|GENERIC_WRITE, 0, 0, OPEN_EXISTING, FILE_ATTRIBUTE_NORMAL, 0 );
 				if( pipe == INVALID_HANDLE_VALUE )
 					log( -1, "Could not Open \"%s\"", name );
-			
+
 				FillMemory(&dcb, sizeof(dcb), 0);
 				FillMemory(&timeouts, sizeof(timeouts), 0);
@@ -83,5 +83,5 @@
 							msg = "\n    On this COM port, baud rate is limited to 115.2K";
 					}
-					log( -1, "Could not SetCommState: baud rate selected may not be availabele%s", msg );
+					log( -1, "Could not SetCommState: baud rate selected may not be available%s", msg );
 				}
 
@@ -94,5 +94,5 @@
 
 				EnumerateCOMPorts( logbuff, 1024 );
-				
+
 				log( -1, "Serial port '%s' not found, detected COM ports: %s", name, logbuff );
 			}
Index: /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/BiosFile.asm
===================================================================
--- /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/BiosFile.asm	(revision 292)
+++ /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/BiosFile.asm	(revision 293)
@@ -27,5 +27,5 @@
 	call	Buffers_NewBiosWithSizeInDXCXandSourceInAXhasBeenLoadedForConfiguration
 	call	FileIO_CloseUsingHandleFromBX
-	call	DisplayFileLoadedSuccesfully
+	call	DisplayFileLoadedSuccessfully
 	jmp		SHORT .Return
 
@@ -43,7 +43,7 @@
 ;		DS:SI:	Name of file to open
 ;	Returns:
-;		BX:		File handle (if succesfull)
-;		DX:CX:	File size (if succesfull)
-;		CF:		Clear if successfull
+;		BX:		File handle (if successful)
+;		DX:CX:	File size (if successful)
+;		CF:		Clear if successful
 ;				Set if error
 ;	Corrupts registers:
@@ -80,5 +80,5 @@
 ;		DS:SI:	File name
 ;	Returns:
-;		CF:		Clear if successfull
+;		CF:		Clear if successful
 ;				Set if error
 ;	Corrupts registers:
@@ -167,5 +167,5 @@
 	call	FileIO_CloseUsingHandleFromBX
 	call	Buffers_ClearUnsavedChanges
-	call	DisplayFileSavedSuccesfully
+	call	DisplayFileSavedSuccessfully
 	jmp		SHORT .Return
 
@@ -181,6 +181,6 @@
 
 ;--------------------------------------------------------------------
-; DisplayFileLoadedSuccesfully
-; DisplayFileSavedSuccesfully
+; DisplayFileLoadedSuccessfully
+; DisplayFileSavedSuccessfully
 ; DisplayFailedToLoadFile
 ; DisplayFailedToSaveFile
@@ -194,10 +194,10 @@
 ;--------------------------------------------------------------------
 ALIGN JUMP_ALIGN
-DisplayFileLoadedSuccesfully:
+DisplayFileLoadedSuccessfully:
 	mov		dx, g_szDlgMainLoadFile
 	jmp		Dialogs_DisplayNotificationFromCSDX
 
 ALIGN JUMP_ALIGN
-DisplayFileSavedSuccesfully:
+DisplayFileSavedSuccessfully:
 	mov		dx, g_szDlgMainSaveFile
 	jmp		Dialogs_DisplayNotificationFromCSDX
Index: /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Buffers.asm
===================================================================
--- /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Buffers.asm	(revision 292)
+++ /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Buffers.asm	(revision 293)
@@ -145,5 +145,5 @@
 	push	es
 
-	eMOVZX	di, BYTE [cs:g_cfgVars+CFGVARS.bEepromType]
+	eMOVZX	di, [cs:g_cfgVars+CFGVARS.bEepromType]
 	mov		cx, [cs:di+g_rgwEepromTypeToSizeInWords]
 	sub		cx, [cs:g_cfgVars+CFGVARS.wImageSizeInWords]	; CX = WORDs to append
Index: /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/EEPROM.asm
===================================================================
--- /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/EEPROM.asm	(revision 292)
+++ /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/EEPROM.asm	(revision 293)
@@ -91,5 +91,5 @@
 .GetXtideUniversalBiosSizeFromEStoDXCX:
 	xor		dx, dx
-	eMOVZX	cx, BYTE [es:ROMVARS.bRomSize]
+	eMOVZX	cx, [es:ROMVARS.bRomSize]
 	eSHL_IM	cx, 9				; *= 512 for byte count
 	ret
@@ -199,5 +199,5 @@
 	xor		si, si
 	call	Buffers_GetFlashComparisonBufferToESDI
-	eMOVZX	bx, BYTE [cs:g_cfgVars+CFGVARS.bEepromType]
+	eMOVZX	bx, [cs:g_cfgVars+CFGVARS.bEepromType]
 	mov		cx, [cs:bx+g_rgwEepromTypeToSizeInWords]
 	cld
Index: /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Flash.asm
===================================================================
--- /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Flash.asm	(revision 292)
+++ /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Flash.asm	(revision 293)
@@ -86,5 +86,5 @@
 ALIGN JUMP_ALIGN
 .GetSdpCommandFunctionToDXwithFlashvarsInSSBP:
-	eMOVZX	bx, BYTE [bp+FLASHVARS.bEepromSdpCommand]
+	eMOVZX	bx, [bp+FLASHVARS.bEepromSdpCommand]
 	mov		si, [cs:bx+.rgpSdpCommandToEepromTypeLookupTable]
 	mov		bl, [bp+FLASHVARS.bEepromType]
Index: /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Menuitem.asm
===================================================================
--- /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Menuitem.asm	(revision 292)
+++ /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Menuitem.asm	(revision 293)
@@ -146,5 +146,5 @@
 ALIGN JUMP_ALIGN
 Menuitem_StoreValueFromAXtoMenuitemInDSSI:
-	eMOVZX	bx, BYTE [si+MENUITEM.bType]
+	eMOVZX	bx, [si+MENUITEM.bType]
 	cmp		bl, TYPE_MENUITEM_HEX
 	ja		SHORT .InvalidItemType
@@ -207,9 +207,9 @@
 ;
 ; if the lookup pointer is NULL, no translation is needed
-; 
+;
 	mov		bx, [si+MENUITEM.itemValue+ITEM_VALUE.rgwChoiceToValueLookup]
 	test	bx, bx
 	jz		.StoreByteOrWordValueFromAXtoESDIwithItemInDSSI
-		
+
 	shl		ax, 1			; Shift for WORD lookup
 	add		bx, ax
@@ -234,7 +234,7 @@
 	mov		bx,[si+MENUITEM.itemValue+ITEM_VALUE.fnValueWriter]
 	test	bx,bx
-	jz		SHORT .NoWriter	
-
-	call	bx		
+	jz		SHORT .NoWriter
+
+	call	bx
 
 .NoWriter:
@@ -313,5 +313,5 @@
 	xor		ah, ah				; conversion needs to happen before call to the reader,
 								; in case the reader unpacks the byte to a word
-		
+
 .NoConvertWordToByteValue:
 	mov		bx, [si+MENUITEM.itemValue+ITEM_VALUE.fnValueReader]
@@ -321,5 +321,5 @@
 	call	bx
 
-.NoReader:		
+.NoReader:
 	pop		bx
 	pop		di
Index: /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/MenuitemPrint.asm
===================================================================
--- /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/MenuitemPrint.asm	(revision 292)
+++ /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/MenuitemPrint.asm	(revision 293)
@@ -36,5 +36,5 @@
 ALIGN JUMP_ALIGN
 MenuitemPrint_NameWithPossibleValueFromDSSI:
-	eMOVZX	bx, BYTE [si+MENUITEM.bType]
+	eMOVZX	bx, [si+MENUITEM.bType]
 	cmp		bl, TYPE_MENUITEM_ACTION
 	ja		SHORT .PrintNameAndValueFromDSSI
@@ -147,5 +147,5 @@
 ;	Corrupts registers:
 ;		AX, BX, CX
-;--------------------------------------------------------------------	
+;--------------------------------------------------------------------
 ALIGN JUMP_ALIGN
 MenuitemPrint_WriteLookupValueStringToBufferInESDIfromUnshiftedItemInDSSI:
@@ -170,14 +170,14 @@
 ;	Corrupts registers:
 ;		AX, BX, CX
-;--------------------------------------------------------------------	
+;--------------------------------------------------------------------
 ALIGN JUMP_ALIGN
 PrintLookupValueFromAXtoBufferInESDI:
 	push	si
 	test	byte [si+MENUITEM.bFlags], FLG_MENUITEM_CHOICESTRINGS
-	jnz		.lookupChoice	
-		
+	jnz		.lookupChoice
+
 	add		ax, [si+MENUITEM.itemValue+ITEM_VALUE.rgszValueToStringLookup]
 	xchg	bx, ax
-.found:	
+.found:
 	mov		si, [bx]
 .errorReturn:
@@ -187,9 +187,9 @@
 
 ;
-; With FLG_MENUITEM_CHOICESTRINGS, the array at .rgszChoiceToStringLookup is based on the 
+; With FLG_MENUITEM_CHOICESTRINGS, the array at .rgszChoiceToStringLookup is based on the
 ; Choice number (offset within .rgwChoiceToValueLookup) instead of the value stored.
 ; Here, we scan the .rgwChoiceToValueLookup array until we find the value there, and then
-; use the same offset in .rgszChoiceToStringLookup.  If we don't find the value, we 
-; return an "Error!" string instead.  
+; use the same offset in .rgszChoiceToStringLookup.  If we don't find the value, we
+; return an "Error!" string instead.
 ;
 ; Note that the pointer array at .rgszChoiceToStringLookup must be NULL terminated.  Since the
@@ -197,7 +197,7 @@
 ;
 .lookupChoice:
-	mov		bx,[si+MENUITEM.itemValue+ITEM_VALUE.rgszChoiceToStringLookup]		
+	mov		bx,[si+MENUITEM.itemValue+ITEM_VALUE.rgszChoiceToStringLookup]
 	mov		si,[si+MENUITEM.itemValue+ITEM_VALUE.rgwChoiceToValueLookup]
-		
+
 .wordLoop:
 	cmp		ax,[si]
@@ -222,5 +222,5 @@
 ;	Corrupts registers:
 ;		AX, BX, CX
-;--------------------------------------------------------------------	
+;--------------------------------------------------------------------
 ALIGN JUMP_ALIGN
 MenuitemPrint_WriteUnsignedValueStringToBufferInESDIfromItemInDSSI:
@@ -244,5 +244,5 @@
 ;	Corrupts registers:
 ;		AX, BX, CX
-;--------------------------------------------------------------------	
+;--------------------------------------------------------------------
 ALIGN JUMP_ALIGN
 MenuitemPrint_WriteHexValueStringToBufferInESDIfromItemInDSSI:
Index: /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Menupages/FlashMenu.asm
===================================================================
--- /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Menupages/FlashMenu.asm	(revision 292)
+++ /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Menupages/FlashMenu.asm	(revision 293)
@@ -273,5 +273,5 @@
 	mov		[si+FLASHVARS.bEepromSdpCommand], al
 
-	eMOVZX	bx, BYTE [cs:g_cfgVars+CFGVARS.bEepromPage]
+	eMOVZX	bx, [cs:g_cfgVars+CFGVARS.bEepromPage]
 	mov		ax, [cs:bx+g_rgwEepromPageToSizeInBytes]
 	mov		[si+FLASHVARS.wEepromPageSize], ax
@@ -314,5 +314,5 @@
 ALIGN JUMP_ALIGN
 .GetSelectedEepromSizeInWordsToAX:
-	eMOVZX	bx, BYTE [cs:g_cfgVars+CFGVARS.bEepromType]
+	eMOVZX	bx, [cs:g_cfgVars+CFGVARS.bEepromType]
 	mov		ax, [cs:bx+g_rgwEepromTypeToSizeInWords]
 	ret
@@ -330,5 +330,5 @@
 ALIGN JUMP_ALIGN
 .DisplayFlashingResultsFromFlashvarsInDSBX:
-	eMOVZX	bx, BYTE [bx+FLASHVARS.flashResult]
+	eMOVZX	bx, [bx+FLASHVARS.flashResult]
 	jmp		[cs:bx+.rgfnFlashResultMessage]
 
@@ -370,5 +370,5 @@
 ALIGN JUMP_ALIGN
 .DisplayRebootMessageAndReboot:
-	mov		dx, g_szPCFlashSuccessfull
+	mov		dx, g_szPCFlashSuccessful
 	call	Dialogs_DisplayNotificationFromCSDX
 	xor		ax, ax			; Cold boot flag
Index: /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Menupages/MasterSlaveMenu.asm
===================================================================
--- /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Menupages/MasterSlaveMenu.asm	(revision 292)
+++ /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Menupages/MasterSlaveMenu.asm	(revision 293)
@@ -238,5 +238,5 @@
 	call	.EnableMenuitemFromCSBX
 	mov		bx, g_MenuitemMasterSlaveUserLBA
-	jmp		.EnableMenuitemFromCSBX	
+	jmp		.EnableMenuitemFromCSBX
 
 ALIGN JUMP_ALIGN
@@ -245,5 +245,5 @@
 	call	.EnableMenuitemFromCSBX
 	mov		bx, g_MenuitemMasterSlaveUserLBA
-	jmp		.DisableMenuitemFromCSBX	
+	jmp		.DisableMenuitemFromCSBX
 
 ALIGN JUMP_ALIGN
@@ -252,5 +252,5 @@
 	call	.EnableMenuitemFromCSBX
 	mov		bx, g_MenuitemMasterSlaveUserCHS
-	jmp		.DisableMenuitemFromCSBX	
+	jmp		.DisableMenuitemFromCSBX
 
 
@@ -308,5 +308,5 @@
 	test	ax, FLG_DRVPARAMS_USERLBA
 	jz		SHORT .DisableMenuitemFromCSBX
-	jmp		SHORT .EnableMenuitemFromCSBX
+	; Fall to .EnableMenuitemFromCSBX
 
 
Index: /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Strings.asm
===================================================================
--- /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Strings.asm	(revision 292)
+++ /trunk/XTIDE_Universal_BIOS_Configurator_v2/Src/Strings.asm	(revision 293)
@@ -22,8 +22,7 @@
 
 g_szNo:								db	"No",NULL
-g_szYes:							db	"Yes",NULL
 g_szMultichoiceBooleanFlag:
 									db	"No",LF
-									db	"Yes",NULL
+g_szYes:							db	"Yes",NULL
 
 ; Exit messages
@@ -44,5 +43,5 @@
 g_szErrEepromVerify:	db	"EEPROM did not return the same byte that was written.",LF
 						db	"EEPROM was not flashed properly!",NULL
-g_szPCFlashSuccessfull:	db	"EEPROM was written successfully.",LF
+g_szPCFlashSuccessful:	db	"EEPROM was written successfully.",LF
 						db	"Press any key to reboot.",NULL
 g_szForeignFlash:		db	"EEPROM was written successfully.",NULL
@@ -374,8 +373,7 @@
 						db	"None",LF
 						db	"Enable",LF
-						db	"Disable",NULL
+g_szValueFlashDisable:	db	"Disable",NULL
 g_szValueFlashNone:		db	"None",NULL
 g_szValueFlashEnable:	db	"Enable",NULL
-g_szValueFlashDisable:	db	"Disable",NULL
 
 g_szMultichoicePageSize:
@@ -386,5 +384,5 @@
 						db	"16 bytes",LF
 						db	"32 bytes",LF
-						db	"64 bytes",NULL
+g_szValueFlash64bytes:	db	"64 bytes",NULL
 g_szValueFlash1byte:	db	"1 byte",NULL
 g_szValueFlash2bytes:	db	"2 bytes",NULL
@@ -393,5 +391,4 @@
 g_szValueFlash16bytes:	db	"16 bytes",NULL
 g_szValueFlash32bytes:	db	"32 bytes",NULL
-g_szValueFlash64bytes:	db	"64 bytes",NULL
 
 g_szSelectionTimeout:	db		DOUBLE_BOTTOM_LEFT_CORNER,DOUBLE_LEFT_HORIZONTAL_TO_SINGLE_VERTICAL,"%ASelection in %2u s",NULL
Index: /trunk/XTIDE_Universal_BIOS_Configurator_v2/makefile
===================================================================
--- /trunk/XTIDE_Universal_BIOS_Configurator_v2/makefile	(revision 292)
+++ /trunk/XTIDE_Universal_BIOS_Configurator_v2/makefile	(revision 293)
@@ -1,11 +1,7 @@
 ###############################################################################
-# Generic makefile for building binary files.                                 #
-# v. 1.1.0 (28.7.2007 ... 5.10.2010)                                          #
-# (C) Tomi Tilli                                                              #
-# aitotat@gmail.com                                                           #
+# Makefile to build XTIDE Universal BIOS Configurator v2.                     #
 #                                                                             #
 # Valid makefile targets are:                                                 #
 # all		Removes existing files and builds binary file in \Build           #
-# build		Builds binary file in \Build                                      #
 # clean		Removes all files from \Build                                     #
 #                                                                             #
@@ -54,5 +50,4 @@
 
 
-
 #################################################################
 # Assembler preprocessor defines.                               #
@@ -61,5 +56,5 @@
 DEFINES_XT = ELIMINATE_CGA_SNOW
 DEFINES_XTPLUS = USE_186 ELIMINATE_CGA_SNOW
-DEFINES_AT = USE_186 USE_286 USE_AT
+DEFINES_AT = USE_286 USE_AT
 
 
@@ -113,5 +108,4 @@
 .PHONY: all at xtplus xt clean release
 
-# Make clean debug and release versions
 all: clean xt
 	@echo All done!
@@ -123,5 +117,5 @@
 xtplus:
 	@$(AS) "$(SRC_ASM)" $(ASFLAGS) $(DEFS_XTPLUS) -l"$(TARGET)_xtp.lst" -o"$(TARGET)_xtp.$(EXTENSION)"
-	@echo XT plus version "$(TARGET)_xtp.$(EXTENSION)" built.
+	@echo XT Plus version "$(TARGET)_xtp.$(EXTENSION)" built.
 
 xt:
